<?php

// Application name: Open Broadcaster Software XML & RSS Data Reader
// Version: 1.0
// Date of release: 2014-09-09
//
// Description: The Open Broadcaster Software XML & RSS Data Reader helps you fetch and show data from RSS-feeds in your stream.
// Now you too can have realtime data showing information to your viewer, just like on the TV-news broadcast.
// The script opens the feed and saves the data into a text file that you can use for your stream.
// Textfiles are stored in same directory.
//
// Author: Christer Johansson
// License: Eclipse Public License, Version 1.0 (EPL-1.0)

// NEWS SECTION
// Enter your file name for saving formatted data.
$file1 = 'news.txt';

// This is where you put your URL of your feed.
$ch1 = curl_init('http://newsfeed.eveonline.com/en-US/42/articles/page/1/20'); 
curl_setopt($ch1, CURLOPT_RETURNTRANSFER, true);
$data1 = curl_exec($ch1);
curl_close($ch1);
$rss1 = new SimpleXMLElement($data1);

// For debugging purposes
//print_r($rss1);

// Your news feed is now being formatted and put into a file
	foreach ($rss1->entry as $a) {
		$news .= "★ ".$a->title." ";
	};
	file_put_contents($file1, $news);

// MARKET DATA SECTION
// Enter your file name for saving formatted market data.
$file2 = 'market.txt';

// This is where you put your URL of your market data feed.
$ch2 = curl_init('http://www.eve-markets.net/api/xml?rss=1&listid=9486&key=8ZN3CoKl5hdiqt');
curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true);
$data2 = curl_exec($ch2);
curl_close($ch2);
$rss2 = new SimpleXMLElement($data2);

// For debugging purposes
//print_r($rss2);

// This reads through data and formats it, and saves to a file.
	foreach ($rss2->channel->item as $b) {
		$market .= "-#- ".$b->title." ";
	};

	file_put_contents($file2, $market); //Save market data to file
?>

<!-- News section printed out -->
	<h1><?php echo $rss1->title; ?></h1>
		<ul>
			<?php
			foreach($rss1->entry as $n) {
			    echo "<li><a href=\"".$e->link['href']."\">";
			    echo $n->title;
			    echo "</a></li>\n";
			}
			?>
		</ul>

<!-- Market data section printed out -->
	<h1><?php echo $rss2->channel->title; ?></h1>
	<ul>
		<?php
		foreach($rss2->channel->item as $md) {
    		echo "<li><a href=\"".$md->link['href']."\">";
    		echo $md->title;     
    		echo "</a></li>\n";
    	}
    	?>
	</ul>